osl::move_action Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Functions
osl::move_action Namespace Reference

生成された指手を処理する More...

## Classes
struct | CaptureFrom
| from に利きのある手を取る More...
class | MoveAction
| interface 記述用 More...
struct | Concept
| MoveAction の制約. More...
struct | Count
| 指手の数を数えるだけ More...
class | EscapeFilter
| 利きのないまたは守りのあるところへ動くためのフィルタ More...
class | NoAddEffectFilter
| posに利きをつける手をフィルタ More...
class | NoEffectFilter
| 利きのないところへ動くためのフィルタ More...
struct | NotKingOpenFilter
| 相手の間接利きを止めている駒を動かさない More...
struct | Store
| 指手を MoveVector に保管 More...
struct | ToAroundKing24Filter
| 自玉の 24近傍への手 More...
struct | ToAroundKing8Filter
| 自玉の 8近傍への手 More...
class | VoidAction
| なにもしない. More...

## Functions
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Detailed Description

生成された指手を処理する

## Function Documentation

void osl::move_action::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p
| ) |  |

Definition at line 121 of file escapeFilter.h.

Referenced by osl::move_action::Concept< T >::constraints(), and osl::search::Store::dropMove().

void osl::move_action::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |

Definition at line 109 of file escapeFilter.h.

References osl::PTYPE_EMPTY.

Referenced by osl::move_action::Concept< T >::constraints(), and osl::search::Store::simpleMove().

void osl::move_action::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |

Definition at line 115 of file escapeFilter.h.

References osl::Piece::ptype().

Referenced by osl::move_action::Concept< T >::constraints(), and osl::search::Store::unknownMove().